---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 99d73c48-9985-51d2-9639-d37bcdfe119e
      tier: AATSR_CMP_MONTH
      value: 0.03106449358165264
    brdf:
      alpha_1:
        band_1: 0.15623440538132338
        band_11: 0.187623026128947
        band_12: 0.03837700161837865
        band_2: 0.15518949280330677
        band_3: 0.34244362289885266
        band_4: 0.1716798476351265
        band_5: 0.17191418007201065
        band_6: 0.17209036990586618
        band_7: 0.9239611929385604
        band_8: 0.9250108600446983
        band_8a: 0.9239597232156178
      alpha_2:
        band_1: 0.2589155186522161
        band_11: 0.18400070757798914
        band_12: 0.24491932987840448
        band_2: 0.2594817534168916
        band_3: 0.23808631245675663
        band_4: 0.26283029884508047
        band_5: 0.2627644187025406
        band_6: 0.26265650115789646
        band_7: 0.04664397813605586
        band_8: 0.04644253750576298
        band_8a: 0.04661843818709854
      id:
      - b1603a61-c10d-59bf-b640-5252e0aec876
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 83914de1-c12e-5035-af8d-e2dc1baa54d4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 7b5a979f-36ba-55de-8ddd-23f0dd01e1cd
      tier: DEFINITIVE
      value: 2.879999923706055
  id: 1e49b6ba-aeaa-47f2-ab53-a0ec4885f47f
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1882.077623952755
      BAND-11: 231.44018919827857
      BAND-12: 80.97293910014236
      BAND-2: 1932.2679578846696
      BAND-3: 1810.7266848351885
      BAND-4: 1478.0712071187816
      BAND-5: 1364.685903383315
      BAND-6: 1247.708185522293
      BAND-7: 1146.905291027854
      BAND-8: 1008.3948764522011
      BAND-8A: 919.2806686358874
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-06-22 01:21:32.145642Z
    atime: 2022-07-10 10:27:25Z
    ctime: 2021-06-22 11:49:12Z
    mtime: 2021-06-22 11:49:10Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2021/2021-06/15S135E-20S140E/S2B_MSIL1C_20210622T011729_N0300_R088_T53LPC_20210622T022906.zip
  system_information:
    hostname: gadi-cpu-clx-0575.gadi.nci.org.au
    runtime_id: e44e3b5e-003a-11ed-8862-00000199fe80
    time_processed: 2022-07-10 10:27:25.676687Z
    uname: 'Linux gadi-cpu-clx-0575.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 21.0
    green: 302.0
    red: 2.0
    teal: 268.0
    yellow: 3.0
  error_message: no errors
  final_qa_count: 588
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20210622T022906_A022422_T53LPC_N03.00
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 0.42
      xy: 0.58
      y: 0.4
    abs_iterative_mean:
      x: 0.37
      xy: 0.49
      y: 0.33
    cep90: 0.74
    iterative_mean:
      x: 0.37
      xy: 0.48
      y: -0.31
    iterative_stddev:
      x: 0.19
      xy: 0.27
      y: 0.19
    mean:
      x: 0.4
      xy: 0.48
      y: -0.27
    stddev:
      x: 1.05
      xy: 1.72
      y: 1.36
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.47707108143864
    cloud: 0.00728625502818611
    cloud_shadow: 0.003728418124790886
    snow: 0.006750142618085459
    water: 0.5051641027902946
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
